GET /notification-channels

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Responses

200 List of notification channels
application/json
channels object | null[] REQUIRED
Array of:
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
name string REQUIRED
channel_type string REQUIRED
config string REQUIRED
enabled integer REQUIRED
last_sent_at string | null REQUIRED
error_count integer REQUIRED
last_error string | null REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
401 Unauthorized
curl -X GET 'https://hookstream.io/v1/notification-channels' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/notification-channels', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/notification-channels', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/notification-channels", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "channels": [
    {
      "id": "<string>",
      "org_id": "<string>",
      "env_id": "<string>",
      "name": "<string>",
      "channel_type": "<string>",
      "config": "<string>",
      "enabled": 123,
      "last_sent_at": "<string>",
      "error_count": 123,
      "last_error": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ]
}
GET /notification-channels
Ask a question... ⌘I